<?php
require'fun.php';
require'f_admin.php';
$titlu='Editeaza cuvânt Anagrame '.$pid;
$back[1]='<a href="/admin-cuvinte-anagrame">'.img('administrare.png',1).'Cuvinte Anagrame</a>';
require'f_sus.php';
$info=$conn->query('SELECT`cuvant`,`cid`,`de`FROM`anagrame_cuvinte`WHERE`id`="'.$pid.'"')->fetch_row();
if(isset($_POST['cuvant'],$_POST['cid']))
{
$cuvant=$_POST['cuvant']??'';
$cid=$_POST['cid']??'';
if(($cuvant!=''?$conn->query('UPDATE`anagrame_cuvinte`SET`cuvant`="'.$cuvant.'",`cid`="'.$cid.'"WHERE`id`="'.$pid.'"'):false))
{
$text=', înlocuind cuvântul [b]'.$info[0].'[/b] cu cuvântul [b]'.$cuvant.'[/b]'.($info[1]!=$cid?', și categoria [b]'.$conn->query('SELECT`nume`FROM`anagrame_categorii`WHERE`id`="'.$info[1].'"')->fetch_row()[0].'[/b] cu categoria [b]'.$conn->query('SELECT`nume`FROM`anagrame_categorii`WHERE`id`="'.$cid.'"')->fetch_row()[0].'[/b]':'');
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Cuvinte Anagrame",`de`="'.$de.'",`text`="a editat cuvântul Anagrame cu numărul '.$pid.$text.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
if($de!=$info[2])
{
require'f_notificare.php';
notificare('am editat un cuvânt Anagrame adăugat de tine'.$text.'!',$info[2],$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Cuvânt Anagrame editat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat cuvântul sau categoria!';
echo$div[0];
}
else
{
echo$div[4].img('administrare.png',1).'Editeaza cuvânt Anagrame '.$pid.$div[5];
$form[0]='/admin-editeaza-cuvant-anagrame/id/'.$pid.'" method="post';
$form[1]=0;
require'f_scris3.php';
$categoriile='';
$categorii=$conn->query('SELECT`id`,`nume`FROM`anagrame_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
$categoriile.=$categorie[0].',,'.$categorie[1].'::';
}
$form[2]=$div[1].'Cuvânt:<br /><input name="cuvant" value="'.$info[0].'" maxlength="777" />'.$div[0].$div[1].'Categorie:<br />'.scris3('cid',$categoriile,$info[1]).$div[0];
$form[3]='cuvant::cid';
$form[4]='Editeaza';
require'f_form.php';
}
require'f_jos.php';